use_frameworks!
#use_modular_headers!
inhibit_all_warnings!
platform :ios, '9.3'

#require 'pry'
#open source
source 'https://github.com/CocoaPods/Specs.git'
#our company
source 'git@git.wanmeizhensuo.com:gengmeiios/GMSpecs.git'

target 'GMShareSDK_Example' do
  pod 'GMShareSDK', :path => '../'
  pod 'MBProgressHUD', '0.9.2'
#  pod "Weibo_SDK", :git => "https://github.com/sinaweibosdk/weibo_ios_sdk.git"

  target 'GMShareSDK_Tests' do
    inherit! :search_paths

    
  end
end

pre_install do |installer|
  # workaround for https://github.com/CocoaPods/CocoaPods/issues/3289
  Pod::Installer::Xcode::TargetValidator.send(:define_method, :verify_no_static_framework_transitive_dependencies) {}
end
